/**
 * External dependencies
 */
import styled from "@emotion/styled";

/**
 * WordPress dependencies
 */
import { CustomSelectControl } from "@wordpress/components";

/**
 * Internal dependencies
 */
import { GroupControl } from "../../group-control";

export const BorderControlStyled = styled(GroupControl)`
  .group-control__body {
    align-items: flex-start;

    label {
      display: none;
      padding-bottom: 4px;
      margin: 0;
      line-height: 1.2;
    }

    .components-input-control__container {
      min-width: auto;
    }
  }
`;

export const BorderGroupControlStyled = styled(GroupControl)`
  .group-control {
    padding-bottom: 0;
  }
`;

export const BorderStyleSelect = styled(CustomSelectControl)`
  svg {
    fill: currentColor;
  }

  .components-custom-select-control__button {
    display: flex !important;
    align-items: center;
    width: 100%;
    min-width: auto;
  }

  .components-custom-select-control__menu {
    margin: 0;
  }

  .components-custom-select-control__item {
    padding-top: 0;
    padding-bottom: 0;
  }
`;
